name: 'Example Edge-Network Relationship '
services:
  TextBox:
    name: TextBox
    type: TextBox
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 8be9124d-bd92-4e76-9286-f9b411c17393
        label: TextBox
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"text":true, "config":false,"lock":true,"shape":{"convert-shape":true},"style":true},"label":{"edit":true,"show":true,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-color: '#808080'
            border-style: dashed
            border-width: 0px
            data:
              label: ""
            height: 20px
            textOverlay:
              color: rgb(225,225,225)
              content: 'Edge-Network Relationship: Ingress to Service'
              font-size: "56"
              font-weight: 400
              text-align: center
              text-decoration: none
              vertical-align: center
            width: 214.92533239124555px
            z-index: 13
          styles: '{"height":"20px","width":"40px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0,"border-color":"#808080"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/credential-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/aws-node-termination-handler-2/white/terminator-white.svg
        position:
          posX: 19.103174650106915
          posY: -65.59635076320406
        whiteboardData: {}
  ingress:
    name: ingress
    type: Ingress
    apiVersion: networking.k8s.io/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges:
        - data:
            id: ff2366a5-0c78-47ba-b194-966b57e11e49
            source: a0a4f05c-6f71-419a-b113-24357c566ce9
            subType: Network
            target: 9689e96c-05a8-4535-9360-38c3a05895e7
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: a0a4f05c-6f71-419a-b113-24357c566ce9
        label: Ingress
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            height: 28.808798798112534px
            width: 28.808798798112537px
            z-index: 11
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/ingress-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/ingress-white.svg
        position:
          posX: -46.82312048824128
          posY: -17.056596147612417
        whiteboardData: {}
  service:
    name: service
    type: Service
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges:
        - data:
            id: ff2366a5-0c78-47ba-b194-966b57e11e49
            source: a0a4f05c-6f71-419a-b113-24357c566ce9
            subType: Network
            target: 9689e96c-05a8-4535-9360-38c3a05895e7
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 9689e96c-05a8-4535-9360-38c3a05895e7
        label: Service
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides:
            background-position-y: 4.5
            height: 16.12605378164403px
            padding: 12
            width: 19.77426091046591px
            x: 10px
            "y": 12px
            z-index: 12
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: 81.37894452453993
          posY: -13.429364825841418
        whiteboardData: {}
